Create a website
curl --request POST \
--url https://api.nextintent.ai/v1/sdk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"allowed_origins": [
"<string>"
]
}
'import requests
url = "https://api.nextintent.ai/v1/sdk"
payload = {
"name": "<string>",
"allowed_origins": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', allowed_origins: ['<string>']})
};
fetch('https://api.nextintent.ai/v1/sdk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_id": "<string>",
"name": "<string>",
"host": "<string>",
"enabled": true,
"shadow": true,
"card_enabled": true,
"holdout_pct": 123,
"vertical": "<string>",
"state": {
"deployed": true,
"connected": true
}
}{
"error": "<string>"
}{
"error": "<string>"
}Websites
Create a website
Create a website with a name and its allowed origins. Account-wide keys with sites:write only.
POST
/
sdk
Create a website
Creates a site and returns its id, which the SDK script tag and every storefront endpoint use.
allowed_origins are full origins (https://www.example.com); all origins on one site must share a root domain. A site-bound key cannot create websites.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
